Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class StylesheetRoot

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.Stylesheet
                        |
                        +--weblogic.apache.xalan.xslt.Stylesheet
                              |
                              +--weblogic.apache.xalan.xslt.StylesheetRoot

Deprecated. This compatibility layer will be removed in later releases.

public class StylesheetRoot
extends Stylesheet

Binary representation of a stylesheet -- use the `XSLTProcessor` ProcessStylesheet method to create a StylesheetRoot and improve performance for a stylesheet performing multiple transformations. Also required for XSLTProcessor to function as SAX DocumentHandler.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.Stylesheet
`STYLESHEET_EXT`

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`StylesheetRoot(StylesheetRoot s)` Deprecated. Constructor using an weblogic.apache.xalan.templates.StylesheetRoot.
`StylesheetRoot(XSLTEngineImpl processor, java.lang.String baseIdentifier)` Deprecated. Uses an XSL stylesheet document.

Method Summary
`java.lang.String` | `getBaseIdentifier()` Deprecated. Get the base identifier with which this stylesheet is associated.
`StylesheetRoot` | `getObject()` Deprecated. Return the weblogic.apache.xalan.templates.StylesheetRoot object associated with this stylesheet root.
`java.lang.String` | `getOutputEncoding()` Deprecated. Get the encoding string that was specified in the stylesheet.
`OutputFormat` | `getOutputFormat()` Deprecated. Get a new OutputFormat object according to the xsl:output attributes.
`java.lang.String` | `getOutputMediaType()` Deprecated. Get the media-type string that was specified in the stylesheet.
`java.lang.String` | `getOutputMethod()` Deprecated. Get the output method that was specified in the stylesheet.
`org.xml.sax.DocumentHandler` | `getSAXSerializer(java.io.OutputStream ostream)` Deprecated. Creates a compatible SAX serializer for the specified output stream and output format.
`org.xml.sax.DocumentHandler` | `makeSAXSerializer(java.io.OutputStream ostream, OutputFormat format)` Deprecated. Creates a compatible SAX serializer for the specified output stream and output format.
`org.xml.sax.DocumentHandler` | `makeSAXSerializer(java.io.Writer writer, OutputFormat format)` Deprecated. Creates a compatible SAX serializer for the specified writer and output format.
`void` | `process(XSLTInputSource xmlSource, XSLTResultTarget outputTarget)` Deprecated. Transform the XML source tree and place the output in the result tree target.
`void` | `process(XSLTProcessor iprocessor, org.w3c.dom.Node sourceTree, XSLTResultTarget outputTarget)` Deprecated. Transform the XML source tree (a DOM Node) and place the output in the result tree target.
`void` | `process(XSLTProcessor iprocessor, XSLTInputSource xmlSource, XSLTResultTarget outputTarget)` Deprecated. Transform the XML source tree and place the output in the result tree target.
`void` | `setBaseIdentifier(java.lang.String baseIdent)` Deprecated. Get the base identifier with which this stylesheet is associated.

Methods inherited from class weblogic.apache.xalan.templates.Stylesheet
`containsExcludeResultPrefix, containsExtensionElementURI, getAttributeSet, getAttributeSetCount, getDecimalFormat, getDecimalFormat, getDecimalFormatCount, getExcludeResultPrefix, getExcludeResultPrefixCount, getExtensionElementPrefix, getExtensionElementPrefixCount, getHref, getId, getImport, getImportCount, getInclude, getIncludeCount, getKey, getKeyCount, getNamespaceAlias, getNamespaceAliasCount, getNodeName, getNodeType, getNonXslTopLevel, getOutput, getOutputCount, getParam, getPreserveSpace, getPreserveSpaceCount, getStripSpace, getStripSpaceCount, getStylesheet, getStylesheetComposed, getStylesheetParent, getStylesheetRoot, getTemplate, getTemplateCount, getVariable, getVariableOrParam, getVariableOrParam, getVariableOrParamCount, getVersion, getXmlnsXsl, getXSLToken, isAggregatedType, isRoot, replaceTemplate, setAttributeSet, setDecimalFormat, setExcludeResultPrefixes, setExtensionElementPrefixes, setHref, setId, setImport, setInclude, setKey, setLocaterInfo, setNamespaceAlias, setNonXslTopLevel, setOutput, setParam, setPreserveSpaces, setStripSpaces, setStylesheetParent, setStylesheetRoot, setTemplate, setVariable, setVersion, setXmlnsXsl`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, canStripWhiteSpace, compareTo, compose, endCompose, error, error, error, execute, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetRoot

    public StylesheetRoot(XSLTEngineImpl processor,
                          java.lang.String baseIdentifier)
                   throws javax.xml.transform.TransformerConfigurationException

  Deprecated.
  Uses an XSL stylesheet document.

  Parameters:
    `processor` - The XSLTProcessor implementation.
    `baseIdentifier` - The file name or URL for the XSL stylesheet.
  Throws:
    javax.xml.transform.TransformerConfigurationException - thrown

### StylesheetRoot

    public StylesheetRoot(StylesheetRoot s)

  Deprecated.
  Constructor using an weblogic.apache.xalan.templates.StylesheetRoot.

  Parameters:
    `s` - an weblogic.apache.xalan.templates.StylesheetRoot object

Method Detail

### getObject

    public StylesheetRoot getObject()

  Deprecated.
  Return the weblogic.apache.xalan.templates.StylesheetRoot object associated with this stylesheet root.

  Returns:
    an weblogic.apache.xalan.templates.StylesheetRoot object

### process

    public void process(XSLTInputSource xmlSource,
                        XSLTResultTarget outputTarget)
                 throws org.xml.sax.SAXException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException

  Deprecated.
  Transform the XML source tree and place the output in the result tree target. This method uses a new XSLTProcessor instance to track the running state.

  Parameters:
    `xmlSource` - The XML input source tree.
    `outputTarget` - The output result tree.
  Throws:
    org.xml.sax.SAXException -
  See Also:
    `XSLTProcessor.process(weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTResultTarget)`

### process

    public void process(XSLTProcessor iprocessor,
                        XSLTInputSource xmlSource,
                        XSLTResultTarget outputTarget)
                 throws org.xml.sax.SAXException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException

  Deprecated.
  Transform the XML source tree and place the output in the result tree target. Use this version of the StylesheetRoot process() method if you have used an XSLTProcessor object to set a stylesheet parameter. That object is now the iprocessor parameter.

  Parameters:
    `iprocessor` - The XSLTProcessor that will track the running state.
    `xmlSource` - The XML input source tree.
    `outputTarget` - The output result tree.
  Throws:
    org.xml.sax.SAXException -
  See Also:
    `XSLTProcessor.process(weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTResultTarget)`

### process

    public void process(XSLTProcessor iprocessor,
                        org.w3c.dom.Node sourceTree,
                        XSLTResultTarget outputTarget)
                 throws org.xml.sax.SAXException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException

  Deprecated.
  Transform the XML source tree (a DOM Node) and place the output in the result tree target. This is a convenience method. You can also use a DOM Node to instantiate an XSLTInputSource object, and call `process(weblogic.apache.xalan.xslt.XSLTProcessor, weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTResultTarget)` or `XSLTProcessor.process(weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTResultTarget)`.

  Parameters:
    `iprocessor` - The processor that will track the running state.
    `sourceTree` - The input source tree in the form of a DOM Node.
    `outputTarget` - The output result tree.
  Throws:
    org.xml.sax.SAXException -

### makeSAXSerializer

    public org.xml.sax.DocumentHandler makeSAXSerializer(java.io.Writer writer,
                                                         OutputFormat format)
                                                  throws java.io.IOException,
                                                         org.xml.sax.SAXException

  Deprecated.
  Creates a compatible SAX serializer for the specified writer and output format. If the output format is missing, the default is an XML format with UTF8 encoding.

  Parameters:
    `writer` - The writer
    `format` - The output format
  Returns:
    A compatible SAX serializer

### makeSAXSerializer

    public org.xml.sax.DocumentHandler makeSAXSerializer(java.io.OutputStream ostream,
                                                         OutputFormat format)
                                                  throws java.io.UnsupportedEncodingException,
                                                         java.io.IOException,
                                                         org.xml.sax.SAXException

  Deprecated.
  Creates a compatible SAX serializer for the specified output stream and output format. If the output format is missing, the default is an XML format with UTF8 encoding.

  Parameters:
    `ostream` - The output stream.
    `format` - The output format
  Returns:
    A compatible SAX serializer

### getSAXSerializer

    public org.xml.sax.DocumentHandler getSAXSerializer(java.io.OutputStream ostream)
                                                 throws java.io.UnsupportedEncodingException,
                                                        java.io.IOException,
                                                        org.xml.sax.SAXException

  Deprecated.
  Creates a compatible SAX serializer for the specified output stream and output format. If the output format is missing, the default is an XML format with UTF8 encoding.

  Parameters:
    `ostream` - The output stream.
  Returns:
    A compatible SAX serializer

### getOutputFormat

    public OutputFormat getOutputFormat()

  Deprecated.
  Get a new OutputFormat object according to the xsl:output attributes.

### getOutputEncoding

    public java.lang.String getOutputEncoding()

  Deprecated.
  Get the encoding string that was specified in the stylesheet.

### getOutputMediaType

    public java.lang.String getOutputMediaType()

  Deprecated.
  Get the media-type string that was specified in the stylesheet.

### getOutputMethod

    public java.lang.String getOutputMethod()

  Deprecated.
  Get the output method that was specified in the stylesheet.

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  Deprecated.
  Get the base identifier with which this stylesheet is associated.

  Overrides:
    getBaseIdentifier in class ElemTemplateElement

### setBaseIdentifier

    public void setBaseIdentifier(java.lang.String baseIdent)

  Deprecated.
  Get the base identifier with which this stylesheet is associated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference